package ru.myitschool.work.domain.auth

import ru.myitschool.work.domain.auth.repo.AuthorizationRepository
import javax.inject.Inject

class GetLoginUseCase @Inject constructor(
    private val repo: AuthorizationRepository,
) {
    suspend operator fun invoke(): Result<String> {
        return repo.getLogin()
    }
}